Bug 874753 - Can't change keyboard layout in GDM by default
Can't change keyboard layout in GDM by default
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: control-center (Show other bugs)
18
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Control Center Maintainer
Fedora Extras Quality Assurance
RejectedNTH
: i18n
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-08 13:56 EST by Martin
Modified: 2014-09-14 20:03 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 04:08:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
adding-user-with-different-keyboard-layout.png (2.16 MB, image/png)
2014-02-05 04:02 EST, Mike FABIAN
no flags Details

  None (edit)
Description Martin 2012-11-08 13:56:23 EST
Description of problem:
Can't change keyboard layout in GDM by default.

Version-Release number of selected component (if applicable):
control-center-3.6.2-1.fc18.x86_64
gdm-3.6.1-1.fc18.x86_64

How reproducible:
always

Steps to Reproduce:
1. Login as existing user to Gnome.
2. Add new keyboard layout and switch to it.
3. Create new user using "User Accounts".
4. In "User Accounts" set password for new user using new keyboard layout. Use local alphabet characters.
5. Logout and try login as new user.
  
Actual results:
There is no keyboard layout switcher. You can't login as new user, because you can't input local alphabet characters.

Expected results:
When you input password in "User Accounts" using non-system keyboard layout, this layout should be selectable in GDM.

Additional info:
I've found a workaround, but this can prevent many users from logging in when they change their own password and use local alphabet characters.
In "Region & Language" on tab "System" click on "Copy Settings". Then keyboard layout switcher becomes available in GDM.
Comment 1 Mads Kiilerich 2012-11-08 14:18:26 EST
Do this issue also cover the screen saver?

I had set a "strange" keyboard layout while testing keyboard layout switching ... and when I came back the screen was locked and I couldn't enter the password correctly ;-)
Comment 2 Martin 2012-11-08 14:27:12 EST
Proposal: "User Accounts" should handle what keyboard layout is used for password input and automatically add it to system keyboard layouts and provide it in GDM.
Comment 3 Martin 2012-11-08 14:30:23 EST
(In reply to comment #1)
> Do this issue also cover the screen saver?
> 
> I had set a "strange" keyboard layout while testing keyboard layout
> switching ... and when I came back the screen was locked and I couldn't
> enter the password correctly ;-)

This is related. When you add new keyboard layout, change password using this layout and then remove this layout. You're stuck at Lock Screen.
Comment 4 Martin 2012-11-08 14:34:04 EST
But GDM case is only ignorance: Adding keyboard layout isn't enough? I didn't know about some "Copy Settings" button hidden in next tab at "Region & Language"

Lock Screen case is: user sabotaged himself by deliberately removing keyboard layout.
Comment 5 Kamil Páral 2012-11-14 13:36:35 EST
Discussed at 2012-11-14 blocker bug meeting: we were unable to come to a conclusion on this bug - stuck at +2/-2 NTH. Will revisit when more people are present.
Comment 6 Kamil Páral 2012-11-14 14:07:11 EST
I tested whether this is also related to anaconda, and it is not. I did a Czech installation in Anaconda with Czech keymap, and I ended up in GDM with Czech keymap by default. Everything OK.

So this is just for new keymaps added after installation.
Comment 7 Adam Williamson 2012-11-19 12:00:45 EST
Discussed at 2012-11-19 QA meeting, acting as an NTH review meeting. With the new information, solid rejected NTH: does not affect keymaps added during install, and this is actually working as designed - even if it's a bad design, we shouldn't twiddle with it as NTH. The design is that keymaps added as a user are added *for that user only* (and therefore not for gdm); the 'copy settings system-wide' button is to be used to make the keymap available for all users.
Comment 8 Fedora End Of Life 2013-12-21 04:19:36 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Jens Petersen 2014-01-22 01:49:42 EST
Is it any better in F19+?

Otherwise, such RFE should be made upstream in GNOME bugzilla.
Comment 10 Mike FABIAN 2014-02-05 04:01:04 EST
(In reply to Jens Petersen from comment #9)
> Is it any better in F19+?
> 
> Otherwise, such RFE should be made upstream in GNOME bugzilla.

(In reply to Adam Williamson from comment #7)
> Discussed at 2012-11-19 QA meeting, acting as an NTH review meeting. With
> the new information, solid rejected NTH: does not affect keymaps added
> during install, and this is actually working as designed - even if it's a
> bad design, we shouldn't twiddle with it as NTH. The design is that keymaps
> added as a user are added *for that user only* (and therefore not for gdm);

It is still exactly like that in Fedora 20, and this means itis not a
bug really because it works as designed.

> the 'copy settings system-wide' button is to be used to make the keymap
> available for all users.

In the "gnome-control-center region" setup, there is a button [Login Screen]
in Fedora 20 where one can add keyboard layouts to be used in gdm.

So this all works as designed.
Comment 11 Mike FABIAN 2014-02-05 04:02:59 EST
Created attachment 859548 [details]
adding-user-with-different-keyboard-layout.png

How this looks in Fedora 20.
Comment 12 Mike FABIAN 2014-02-05 04:08:33 EST
Working as designed -> closing as NOTABUG.
Comment 13 Adam Williamson 2014-02-05 04:10:17 EST
yeah, I don't think there's any value to this being open downstream any longer.

the idea that the keyboard layout used to set the password for a user should be added to the system-wide layouts if it's not already there is an interesting one, but it's an upstream thing not a downstream one, and may not be desired upstream. if you still want it, mholec, can you propose it on gnome bz? Thanks.

Note You need to log in before you can comment on or make changes to this bug.